//
//  SCSequencedAdController.h
//  SmartclipSDKiOS
//
//  Copyright © 2021 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "SCSimpleAdController.h"
#import "SCOmidEventLoggingDelegate.h"

NS_ASSUME_NONNULL_BEGIN
@class SCAdSlot;

@protocol SCSequencedAdControllerDelegate <SCAdControllerDelegate>
@required
- (NSArray<SCAdSlot*>*)userDidScrub:(NSArray<SCAdSlot*>*)removedAdSlots
            currentRelativePosition:(CGFloat)currentRelativePosition;
@end

@interface SCSequencedAdController : SCSimpleAdController
@property (nonatomic, weak) id<SCSequencedAdControllerDelegate> _Nullable delegate;
- (void)setAdSlots:(nonnull NSMutableArray*)adSlots;
- (void)setContentURLString:(nonnull NSString*)contentURLString;
/// :nodoc:
- (void)setOmidEventLoggingDelegate:(id<SCOmidEventLoggingDelegate>)omidEventLogger;
@end

NS_ASSUME_NONNULL_END
